*If you're having trouble using the insertion spawns, please check that you have all dependencies downloaded and enabled, including [Arpy's PuppyScripts.](https://h3vr.thunderstore.io/package/Arpy/PuppyScripts/)*

## ***CLICK IMAGE BELOW FOR VIDEO PREVIEW***
[![Video Preview](https://img.youtube.com/vi/TphFLAfw448/maxresdefault.jpg)](https://youtu.be/TphFLAfw448 "Video Preview")

Boeing 747 Jumbo Jet map based off of a fan favorite Counter Strike 1.6 map by 3D-MIKE ([**de_747**](https://gamebanana.com/mods/82979)). Big by airliner standards, but still a pretty claustrophobic map with lots of verticality.

***Has 5 holds and 5 supply points,*** not counting spawn.

Includes two insertion methods: **a zipline from a UH-60 into the plane's ramp**, and **a HALO jump from a C-17**. Airstrafing is enabled to help you guide your fall to the plane. The hangar hub area is based off of [**fy_hangar**](https://gamebanana.com/mods/86244) by [**timmycakes**](https://gamebanana.com/members/549631)

![Plen](https://i.imgur.com/hTOmgmG.png)

Many breakables including **breachable hatches, vents, ceiling tiles, cockpit windshields, and cabin doors**.

![Plen2](https://i.imgur.com/CikFfUE.png)

![Plen4](https://i.imgur.com/0CIjXoP.png)

![Plen3](https://i.imgur.com/20UFbp1.png)

![Plen6](https://i.imgur.com/qYfL0o6.png)

![Ospreys](https://i.imgur.com/c2vqnDm.gif)

Breaching a cabin door will create explosive decompression that lasts for 1 minute around that door. If you don't want to get sucked out, keep your feet on the ground!

![Plen5](https://i.imgur.com/Z5OQB5p.png)

Also if you step onto the wing, be careful around those engines!

![He didn't fly so good](https://i.imgur.com/ivA75iH.gif)

## Credits:

- Original de_747 map by 3D-MIKE: https://gamebanana.com/mods/82979

- Original fy_hangar map by timmycakes: https://gamebanana.com/mods/86244

- Luggage assets from de_rats_aircraft_csz by lilou905: https://gamebanana.com/mods/84798

- C-17 model by Yi Tsung Lee on Sketchfab: https://sketchfab.com/3d-models/lowpoly-11-c17a-global-master-iii-5a8a1a57e54c495e8966087d0197f8e5

- UH-60 model from Counter Strike: Condition Zero, by Valve and Turtle Rock Studios

- Osprey model from Half Life: Opposing Force, by Gearbox Software and Valve

- Lowpoly Hotdog by Miroshkins on Sketchfab: https://sketchfab.com/3d-models/stylized-hotdog-5578c62a78c741d9ba64893c96a91b12

- Force Area and Incineration scripts generously provided by Cityrobo

- ShatterableGlass scripts generously provided by MommyMercy / Danny

- PuppyScripts by Arpy



***Special thanks to Prometheuz, MommyMercy/Danny, Marcel, Cityrobo, sirpotatos, Tohkey9578, gondolajesus, Sora101Ven, calafex, and schkuromi for providing a ton of help that would've made this map impossible to do.***

## Known Issues:

- Breakables don't respond to explosives like C4

- Couple of weird lighting issues in some corners of the plane

- Sosigs will get stuck trying to get through breakables that have not been broken yet

## Changelog:

- 1.0.1: Fixed an out-of-bounds encryption that made a hold impossible to complete

- 1.0.2: Added 1 hold and 1 supply, added a utility flashlight on top of the green switch near the ramp, added a grapple hook in the top hatch for easier access to the new hold, adjusted colliders in places where players got stuck, adjusted colliders of breached cabin doors so (hopefully) they won't get stuck as often.


